Main Page Widgets Namespaces Book

# Glib::Interface Class Reference

Inheritance diagram for Glib::Interface:

[legend]
List of all members.

## Public Member Functions

| Interface (const Glib::Interface_Class& interface_class)
| Interface (GObject* castitem)
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const

## Constructor & Destructor Documentation

Glib::Interface::Interface | ( | const Glib::Interface_Class& | interface_class | ) | `[explicit]`

Glib::Interface::Interface | ( | GObject* | castitem | ) | `[explicit]`

virtual Glib::Interface::~Interface | ( |  | ) | `[virtual]`

## Member Function Documentation

const GObject* Glib::Interface::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

GObject* Glib::Interface::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

The documentation for this class was generated from the following file:

- interface.h